IPTABLES-RESTORE(8)

BEZEICHNUNG
iptables-restore — IP-Tabellen wiederherstellen

ip6tables-restore — IPv6-Tabellen wiederherstellen

ÜBERSICHT
iptables-restore [-chntvV] [-w Sek] [-W Usek] [-M Modprobe-Programm] [-T Name] [Datei]

ip6tables-restore [-chntvV] [-w Sek] [-W Usek] [-M Modprobe-Programm] [-T Name] [Datei]

BESCHREIBUNG

iptables-restore und ip6tables-restore werden zum Wiederherstellen von IP- und IPv6-Tabellen aus Daten, die auf der Standardeingabe oder in Datei bereitgestellt werden, verwandt. Verwenden Sie die E/A-Umleitung Ihrer Shell, um aus einer Datei einzulesen oder geben Sie Datei als Argument an.

-c, --counters
    Stellt die Werte aller Pakete und Byte-Zähler wieder her.

-h, --help
    Gibt eine kurze Optionszusammenfassung aus.

-n, --noflush
    Leert die vorherigen Inhalte der Tabelle nicht. Falls nicht angegeben, leeren (löschen) beide Befehle sämtliche vorherigen Inhalte der entsprechenden Tabellen.

-t, --test
    Wertet den Regelsatz nur aus und erstellt ihn, übergibt ihn aber nicht.

-v, --verbose
    Gibt zusätzliche Fehlersuchinformationen während der Verarbeitung des Regelsatzes aus. Geben Sie das mehrfach an, um die Fehlersuchstufe zu erhöhen.

-V, --version
    Gibt die Programmversionsnummer aus.

-w, --wait [Sekunden]
    Wartet auf die Xtables-Sperre. Um zu verhindern, dass mehrere Instanzen des Programms gleichzeitig laufen, wird beim Start versucht, eine exklusive Sperre zu erlangen. Standardmäßig wird sich das Programm beenden, falls die Sperre nicht erlangt werden kann. Diese Option führt dazu, dass das Programm wartet (endlos oder für die optionalen Sekunden), bis die exklusive Sperre erlangt werden kann.

-M, --modprobe Modprobe-Programm
    Angabe des Pfads zum modprobe(8)-Programm. Standardmäßig wird iptables-restore /proc/sys/kernel/modprobe untersuchen, um den Pfad zu dem Programm zu bestimmen.

-T, --table Name
    Stellt nur die benannte Tabelle wieder her, selbst falls der Eingabedatenstrom weitere enthält.

FEHLER
Keine zum Zeitpunkt der Veröffentlichung von iptables-1.2.1.

AUTOREN
Harald Welte <laforge@gnumonks.org> schrieb iptables-restore basierend auf Code von Rusty Russell.
Andras Kis-Szabo <kisza@sch.bme.hu> steuerte ip6tables-restore bei.

SIEHE AUCH
iptables-apply(8), iptables-save(8), iptables(8)

Das iptables-HOWTO, das weitere Details zur Verwendung von Iptables angibt, das NAT-HOWTO, das Details zu NAT beschreibt und das netfilter-hacking-HOWTO, was Informationen über Interna darstellt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).